LINUX.ORG.RU

Kubuntu+bespin=fail


0

1
athost@kauna: ~ $ sudo apt-get install kde-style-bespin
Чтение списков пакетов… Готово
Построение дерева зависимостей        
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  kde-window-manager-active libkwinactiveeffects1abi4 libkwinactiveglesutils1 libkwinactiveglutils1abi3
Предлагаемые пакеты:
  ksplash-theme-bespin
Пакеты, которые будут УДАЛЕНЫ:
  kde-window-manager kubuntu-desktop
НОВЫЕ пакеты, которые будут установлены:
  kde-style-bespin kde-window-manager-active libkwinactiveeffects1abi4 libkwinactiveglesutils1 libkwinactiveglutils1abi3

Это что за хрень такая? Почему удаляется kde-window-manager и ставится kde-window-manager-active?
У меня после этой «операции» вообще исчезли декорации окон.

Если я просто поставлю kde-style-bespin из скачанного деба, то все работает нормально, но потом ничего поставить или обновить не могу, т.к. apt ругается на конфликт kde-window-manager и kde-style-bespin

Это так и должно быть или это «особенность» сборки КДЕ в кубунте?
В чем суть конфликта?

Сорри, я просто КДЕ очень давно не использовал, со времен выхода первых версии 4 :)

★★★★★

По твоей же ссылке

aptitude show kde-window-manager
Breaks: kde-style-bespin (< 0.r1552-1+), kde-style-bespin (< 0.r1552-1+), kde-style-skulpture, kde-style-skulpture, kde-window-manager-common (< 4:4.8.2a-0ubuntu2~), kde-window-manager-common (< 4:4.8.2a-0ubuntu2~), kde-window-manager-gles,

И решение - игнорировать зависимости при установке пакета, всё должно заработать

dpkg -i --ignore-depends=kde-window-manager kde-style-bespin.deb

На ЛОРе не раз встречал утверждение, что разработчики кед сидят на кубунте. KDE4 давно не пользуюсь, по воспоминаниям в ней недопиленные кеды в сравнении с Mandriva и openSuse

MyFreedom ★★★ ()
Ответ на: комментарий от MyFreedom

И решение - игнорировать зависимости при установке пакета, всё должно заработать

Я же написал, что это не решение, т.к.

athost@kauna: ~ $ sudo apt-get install gimp
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия gimp.
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 kde-window-manager : Ломает: kde-style-bespin (< 0.r1552-1+) но 0.r1552-1 будет установлен
athost ★★★★★ ()
Ответ на: комментарий от athost

Конечно, можно собрать bespin из svn, но мне этот путь для бинарного дистрибутива кажется неправильным.

athost ★★★★★ ()
Ответ на: комментарий от athost

Не надо компилировать, достаточно распаковать deb и поправить control. Чем плоха сборка пакета из исходников и установка пакетным менеджером?

MyFreedom ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.